[Pharo-project] Installing Glorp in Pharo 1.1

Giuseppe Luigi Punzi glpunzi at lordzealon.com
Tue Nov 9 20:41:31 CET 2010


Hola Mariano,


El mar, 09-11-2010 a las 16:31 -0300, Mariano Martinez Peck escribió:
> 
>         Worked..
>         
>         > !
>         > (ConfigurationOfGlorpDBX project version: '1.2') load:
>         { 'All with
>         > PostgreSQL native'. }
>         
>         
>         Failed with: Error: Name not found: All with PostgreSQL native
>         
>         But It worked with
>         
>         (ConfigurationOfGlorpDBX project version: '1.2') load:
>         'default'
>         
> 
> 
> But this will install SqueakDBX as the database driver. IF this is
> what you want, then it is ok. If you want the postgresql native
> driver, you should do:
> 
> (ConfigurationOfGlorpDBX project version: '1.2') load:  'All with
> PostgreSQL native' 

This is the content of baseline12:
baseline12: spec
	<version: '1.2-baseline'>
	
	spec for: #pharo do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/SqueakDBX'.

		spec package: 'Glorp' with: [ spec preLoadDoIt: #loadUnderscoreFix ].
		spec package: 'GlorpPostload' with: [ spec requires: #('Glorp') ].
		spec package: 'GlorpTest'.
		spec package: 'GlorpTestPostload' with: [ spec repository:
'http://www.squeaksource.com/Glorp' ].
		spec package: 'GlorpPharoPort' with: [ 
			spec repository: 'http://www.squeaksource.com/Glorp'.
			spec requires: #('GlorpPostload') 
			]. 
		
		
		
		spec project: 'SqueakDBX' with: [
			spec
				className: 'ConfigurationOfSqueakDBX';
				file: 'ConfigurationOfSqueakDBX';
				repository: 'http://www.squeaksource.com/MetacelloRepository' ].
		
		spec package: 'GlorpDriverSqueakDBX' with: [
			spec postLoadDoIt: #postLoadGlorpDriverSqueakDBX.
			spec requires: #('SqueakDBX') ] .
		
		spec package: 'GlorpDBX-ConnectionPool' with: [
			spec postLoadDoIt: #postLoadGlorpDriverSqueakDBXConnectionPool.
			spec requires: #('GlorpDriverSqueakDBX') ] .
	
		spec package: 'PostgresV2' with: [ spec repository:
'http://www.squeaksource.com/PostgresV2' ].
		
		spec package: 'GlorpDriverPostgreSQL' with: [
			spec repository: 'http://www.squeaksource.com/PostgresV2'.
			spec postLoadDoIt: #postLoadGlorpDriverPostgreSQL.
			spec requires: #('PostgresV2')
			].
		
		
		spec
			group: 'default' with: #('GlorpSqueakDBX');
			group: 'Core' with: #('Glorp' 'GlorpPostload' 'GlorpPharoPort');
			group: 'Tests' with: #('GlorpTest' 'GlorpTestPostload');
			group: 'GlorpSqueakDBX' with: #('Core' 'Tests'
'GlorpDriverSqueakDBX');
			group: 'GlorpSqueakDBX Pool' with: #('GlorpSqueakDBX'
'GlorpDBX-ConnectionPool');
			group: 'All with PostgreSQL native' with: #('Core' 'Tests'
'GlorpDriverPostgreSQL');
			yourself.
			

	]		
			
			

What I want, is to load the SmallPOS in SqueakSource to try it, and it
needs Glorp
-- 
--
Giuseppe Luigi
http://www.lordzealon.com





More information about the Pharo-project mailing list